<script>
import { fetchCurrentUser } from '../../auth/shared/services/auth'

export default {
  name: 'UserPermissions', data() {
    return {
      isLoading: false,
      user: null
    }
  },
  created() {
    this.fetchUser()
  },
  methods: {
    fetchUser() {
      this.isLoading = true
      fetchCurrentUser()
        .then((res) => {
          this.user = res
        })
        .finally(() => {
          this.isLoading = false
        })
    }
  },
  render() {
    return this.$scopedSlots.default({

    })
  }
}
</script>
